> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stardust.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a wallet



## OpenAPI

````yaml post /v1/wallet
openapi: 3.0.0
info:
  title: Stardust API
  description: ''
  version: v1
  contact: {}
servers:
  - url: https://vault-api.stardust.gg
    description: WaaS API
security: []
tags: []
paths:
  /v1/wallet:
    post:
      tags:
        - Wallet Endpoints
      summary: Create a wallet
      operationId: WalletsController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WalletPostDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletReturnDto'
      security:
        - jwt-core: []
        - api-key: []
components:
  schemas:
    WalletPostDto:
      type: object
      properties:
        applicationId:
          type: string
          nullable: false
    WalletReturnDto:
      type: object
      properties:
        id:
          type: string
          description: The id of the wallet
        profileId:
          type: string
          nullable: true
        createdAt:
          type: string
          description: When this wallet was created
        lastUsedAt:
          type: string
          nullable: true
          description: When this wallet was last used
        applicationId:
          type: string
          description: The id of the parent application
      required:
        - id
        - createdAt
        - lastUsedAt
        - applicationId
  securitySchemes:
    jwt-core:
      type: apiKey
      in: header
      name: Authorization
    api-key:
      type: apiKey
      in: header
      name: x-api-key

````